/**
 * \file list-player-flags.h
 * \brief player race and class flags
 *
 * Adjusting these flags does not break savefiles. Flags below start from 1
 * on line 14, so a flag's sequence number is its line number minus 13.
 *
 * Fields:
 * symbol - the flag name
 * additional details in player_property.txt
 */

PF(NONE)
PF(ROCK)				/* First shapechange ability */
PF(KNOW_MUSHROOM)		/* First race ability */
PF(SEE_ORE)
PF(SWORD_SKILL)
PF(POLEARM_SKILL)
PF(HAFTED_SKILL)
PF(SLING_SKILL)
PF(BOW_SKILL)
PF(XBOW_SKILL)
PF(SWORD_UNSKILL)
PF(POLEARM_UNSKILL)
PF(HAFTED_UNSKILL)
PF(SLING_UNSKILL)
PF(BOW_UNSKILL)
PF(XBOW_UNSKILL)
PF(HARDY)
PF(FLYING)
PF(SHADOW)
PF(WOODEN)
PF(BEARSKIN)
PF(PLAINSMAN)
PF(ELVEN)
PF(DWARVEN)
PF(EDAIN)
PF(BRAVERY_30)			/* First class ability */
PF(BLESS_WEAPON)
PF(BEAM)
PF(CHOOSE_SPELLS)
PF(NO_MANA)
PF(CHARM)
PF(UNLIGHT)
PF(STEAL)
PF(SHIELD_BASH)
PF(EVIL)
PF(COMBAT_REGEN)
PF(BOW_SPEED_GOOD)
PF(BOW_SPEED_GREAT)
PF(SLING_SPEED_GOOD)
PF(SLING_SPEED_GREAT)
PF(XBOW_SPEED_GOOD)
PF(XBOW_SPEED_GREAT)
PF(BACKSTAB)
PF(UNARMED_COMBAT)
PF(DEVICE_EXPERT)
PF(STRONG_MAGIC)
PF(HOLY)
PF(TRAP)
PF(WOODSMAN)
PF(XTRA_SPECIALTY)
PF(ARMOR_MAST)			/* First specialty ability */
PF(SHIELD_MAST)
PF(ARMOR_PROFICIENCY)
PF(EVASION)
PF(MAGIC_RESIST)
PF(PHASEWALK)
PF(ARMSMAN)
PF(FAST_ATTACK)
PF(MARKSMAN)
PF(PIERCE_SHOT)
PF(MIGHTY_THROW)
PF(POWER_STRIKE)
PF(MARTIAL_ARTS)
PF(MANA_BURN)
PF(RAPID_FIRE)
PF(BEGUILE)
PF(ENHANCE_MAGIC)
PF(POWER_SIPHON)
PF(HEIGHTEN_MAGIC)
PF(SOUL_SIPHON)
PF(HARMONY)
PF(CHANNELING)
PF(ATHLETICS)
PF(CLARITY)
PF(FURY)
PF(MEDITATION)
PF(REGENERATION)
PF(EXTRA_TRAP)
PF(HOLY_LIGHT)
